<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Artworks</title>
    <link rel="stylesheet" type="text/css" href="../styles/styles.css">
</head>

<body onload="getProductos()">
    <a id="floating-button" href="http://localhost:3000/carrito">
        <div>
            <img src="../assets/icons/cart.png">
            <div id="carrito"></div>
        </div>
        <div>
            <div id="carrito-total">0</div>
        </div>
    </a>
    <div id="cabecera">
        <header>
            <div class="logo">
                <img src="../assets/icons/logo.gif">
            </div>

            <div class="navbar">
                <ul>
                    <li>
                        <a href="">About</a>
                    </li>
                    <li>
                        <a href="http://localhost:3000/artworks">Artworks</a>
                    </li>
                    <li>
                        <a href="">Contact</a>
                    </li>
                </ul>
            </div>
        </header>
    </div>
    <div id="container">
        <item
            v-for="artwork in artworks"
            :key="artwork._id"
            :_id="artwork._id" 
            :nombre="artwork.nombre" 
            :precio="artwork.precio" 
            :existencias="artwork.existencias" 
            :foto="artwork.foto">
        </item>
    </div>

    <script type="text/javascript" src="./client/artworks.js"></script>
    <script type="text/javascript" src="../fetch.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/vue/2.4.2/vue.js"></script>
</body>

</html>